import { request } from '@/service/request';

// 查询登录日志列表
export function list(query?: Api.SystemManage.LoginlogSearchParams) {
  return request<Api.SystemManage.LoginlogList>({
    url: '/monitor/logininfor/list',
    method: 'get',
    params: query
  });
}

// 删除登录日志
export function delLogininfor(infoIds: Api.SystemManage.Loginlog['infoId'][]) {
  return request({
    url: `/monitor/logininfor/${infoIds}`,
    method: 'delete'
  });
}

// 清空登录日志
export function cleanLogininfor() {
  return request({
    url: '/monitor/logininfor/clean',
    method: 'delete'
  });
}
